/**
 * Tankerkönig API
 * API for getting real time gas prices from https://creativecommons.tankerkoenig.de. Real time gas price data is available under open data/open source license even for commercial use. Currently only prices for Germany are available.
 *
 * OpenAPI spec version: 4.0.6
 * Contact: info@tankerkoenig.de
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { StationCoords } from './stationCoords';
import { StationFuels } from './stationFuels';
import { StationOpeningTimes } from './stationOpeningTimes';

export interface Station { 
    country?: string;
    id: string;
    name?: string;
    brand?: string;
    street?: string;
    postalCode: string;
    place?: string;
    coords: StationCoords;
    isOpen?: boolean;
    closesAt?: Date;
    opensAt?: Date;
    openingTimes?: Array<StationOpeningTimes>;
    dist?: number;
    fuels: Array<StationFuels>;
}